/* freeie.c -- free chain of input events	*/

/*
Copyright (c) 1987, 1988, 1989 Jim Mackraz and I&I Computing.

Executables based on this information may be used in software
for Commodore Amiga computers.  All other rights reserved.
This information is provided "as is"; no warranties are made.
All use is at your own risk, and no liability or responsibility
is assumed.
*/

#include  <cx/cxusr.h>

/* free chain of input events	*/

FreeIEvents(ie)
register struct InputEvent *ie;
{
	register struct InputEvent *next;

	while (ie)
	{
		next = ie->ie_NextEvent;
		FreeMem(ie, (LONG) sizeof (struct InputEvent) );
		ie = next;
	}
}
